#!/bin/sh
#
# Introscope -- Bytecode Hierarchy
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

CLASSPATH=$ISC_LIB/ProbeBuilder.jar:$ISC_LIB/ByteCodeAnalyzer.jar
JAR_FILE=$1
OUT_FILE=$JAR_FILE.txt

if [ "X$JAR_FILE" = "X" ] ; then
	echo Syntax: $0 \<JAR file\>
	exit
fi

echo Using JAR file: $JAR_FILE
echo Creating output in $OUT_FILE

$ISC_JAVA_HOME/bin/java -classpath $CLASSPATH com.wily.tools.bytecodeanalyzer.HierarchyByteCodeAnalyzer $JAR_FILE > $OUT_FILE
