#!/bin/sh
# This should be run as soon as the files are extracted
# from the Wily package

#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Home should be one directory up (should be in 'bin' now)
ISC_HOME=$PRGDIR/..

echo
echo ---------------------------------------
echo Wily Scripts Installer
echo ---------------------------------------
echo 
echo This program configures the Wily Introscope package.
echo Note: Further custom configuration may be necessary.
echo 

ENV_FILE=$ISC_HOME/bin/setIscEnv.sh
echo
echo Creating the Introscope Environment setup script...
echo \#\!/bin/sh > $ENV_FILE
echo \#Automatically created by configureWily.cmd on `date` >> $ENV_FILE
echo \# >> $ENV_FILE
echo \# Settings>> $ENV_FILE
echo ISC_HOME=$ISC_HOME>> $ENV_FILE
echo export ISC_HOME>> $ENV_FILE
echo ISC_CONFIG=$ISC_HOME/config>> $ENV_FILE
echo export ISC_CONFIG>> $ENV_FILE
echo ISC_LIB=$ISC_HOME/lib>> $ENV_FILE
echo export ISC_LIB>> $ENV_FILE
echo ISC_BIN=$ISC_HOME/bin>> $ENV_FILE
echo export ISC_BIN>> $ENV_FILE
echo ISC_LOGS=$ISC_HOME/logs>> $ENV_FILE
echo export ISC_LOGS>> $ENV_FILE
echo ISC_JAVA_HOME=$ISC_HOME/jre>> $ENV_FILE
echo export ISC_JAVA_HOME>> $ENV_FILE
echo ISC_TRACES=$ISC_HOME/traces>> $ENV_FILE
echo export ISC_TRACES>> $ENV_FILE
echo ISC_REPORTS=$ISC_HOME/reports>> $ENV_FILE
echo export ISC_REPORTS>> $ENV_FILE
echo ISC_FLATFILES=$ISC_HOME/flatfiles>> $ENV_FILE
echo export ISC_FLATFILES>> $ENV_FILE
echo ISC_WEBVIEW=$ISC_HOME/WebView>> $ENV_FILE
echo export ISC_WEBVIEW>> $ENV_FILE
echo ISC_WEBVIEW_JDK_HOME=$ISC_HOME/WebView/jdk1.4>> $ENV_FILE
echo export ISC_WEBVIEW_JDK_HOME>> $ENV_FILE
echo ISC_PBDS=$ISC_HOME/config/systempbd>> $ENV_FILE
echo export ISC_PBDS>> $ENV_FILE
echo ISC_PBDS_CUSTOM=$ISC_HOME/config/custompbd>> $ENV_FILE
echo export ISC_PBDS_CUSTOM>> $ENV_FILE
echo CLW_JAR=$ISC_HOME/lib/CLWorkstation.jar>> $ENV_FILE
echo export CLW_JAR>> $ENV_FILE
echo CLW_USER_OPT=-Duser=Admin>> $ENV_FILE
echo export CLW_USER_OPT>> $ENV_FILE
echo CLW_PASSWORD_OPT=-Dpassword=>> $ENV_FILE
echo export CLW_PASSWORD_OPT>> $ENV_FILE
echo CLW_EM_HOST_OPT=-Dhost=localhost>> $ENV_FILE
echo export CLW_EM_HOST_OPT>> $ENV_FILE
echo CLW_EM_PORT_OPT=-Dport=4500>> $ENV_FILE
echo export CLW_EM_PORT_OPT>> $ENV_FILE
echo DATACASTER_JAR=$ISC_HOME/DataCaster/datacaster.jar>> $ENV_FILE
echo export DATACASTER_JAR>> $ENV_FILE

echo Results in $ENV_FILE
chmod 700 $ENV_FILE

echo "Done."
