#!/bin/sh
#Tool: EMDBCleanup
#
#Description: 
#
#A standalone java program that prunes the Enterprise Manager database.  
#It is intended to work with a persistent collection scheme that stores 
#various resolutions of the same data; It will delete old data on schedule, 
#perhaps keeping 7 days of 60s data, 1 month of hourly data and 1 year 
#of day resolution data. This is a simple warehousing technique. 
#It reads the IntroscopeEnterpriseManager.properties to get the 
#database connection properties. It is intended to run on the same 
#host as the Enterprise Manager, but this is not necessary. 
#
#Edit the cleaner properties file 
#
#	<install>/config/EMDBCleanup.properties
#
#to specify the cleanup schedule and data storage durations.

# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

cd $ISC_HOME

DRIVER=$ISC_LIB/hsqldb.jar

$ISC_JAVA_HOME/bin/java -cp $ISC_LIB/cleaner.jar:$DRIVER com.wily.tools.emdbcleanup.TheCleaner $ISC_CONFIG/IntroscopeEnterpriseManager.properties $ISC_CONFIG/EMDBCleanup.properties
