#!/bin/sh
#
# This script should only be used when Command Line Workstation
# is not available.  Killing the Process ID is the most abrupt 
# way to bring down the EM, and not recommended.
#
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

# The program creates its own logs, but capture startup output also
PID_FILE=$ISC_LOGS/IntroscopeEnterpriseManager.pid

echo Shutting down Enterprise Manager...
if [ ! -f $PID_FILE ] ; then
	echo PID file does not exist:
	ls -lst $PID_FILE
	echo
	echo Shutdown failed!
	exit 1
fi
PID=`cat $PID_FILE`
echo Enterprise Manager process is $PID:
ps -f -p $PID
kill $PID
echo
echo Shutdown complete.
