#!/bin/sh

#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

PID_FILE=$ISC_LOGS/PlaybackAgent.pid

echo Checking status of Playback Agent...
if [ ! -f $PID_FILE ] ; then
	echo No PID file to check:
	ls -lst $PID_FILE
	echo
	echo Status unknown!  Please check processes manually, using the command:
	echo \> ps -aef\|grep -i Playback
	exit 1
fi
PID=`cat $PID_FILE`
PID_STATUS=`ps -p $PID|wc -l`
OS_NAME=`uname -s`
if [ $PID_STATUS -lt 2 ] ; then
	echo Not running!
else
	echo Running:
	echo ps -f -p $PID
	ps -f -p $PID
	echo 
	echo *Possible* children processes:
	if [ "X$OS_NAME" = "XHP-UX" ]; then
		echo ps -aef \| grep \" $PID \" \| grep -v grep
		ps -aef | grep " $PID " | grep -v grep
	else
		echo ps -ae -o pid,ppid,args \| grep \" $PID \" \| grep -v grep
		ps -ae -o pid,ppid,args | grep " $PID " | grep -v grep
	fi
fi
