#!/bin/sh
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

CLASSPATH=$ISC_LIB/ProbeBuilder.jar
DIRECTIVES=$1
ORIG=$2
DEST="${ORIG}.isc"
if [ "X$DIRECTIVES" = "X" ] ; then
	echo Syntax: probeDir \<directives\> \<dir\>
	exit
elif [ "X$ORIG" = "X" ] ; then
	echo Syntax: probeDir \<directives\> \<dir\>
	exit
elif [ ! -d $ORIG ] ; then
	echo No such directory: 
	echo "	$ORIG"
	exit
else 
	DIRECTIVES_LIST=`echo $DIRECTIVES| awk -F "," '{for( i = 1 ; i <= NF ; i++ )print $i}'`
	DIRECTIVES=
	for PBD in $DIRECTIVES_LIST
	do
		if [ ! -f $PBD ] ; then
			if [ ! -f $ISC_PBDS/$PBD ] ; then
				if [ ! -f $ISC_PBDS_CUSTOM/$PBD ] ; then
					echo No such file:
					echo "	$PBD"
					echo Not found in `pwd`, $ISC_PBDS, or $ISC_PBDS_CUSTOM
					exit
				else
					PBD=$ISC_PBDS_CUSTOM/$PBD
				fi
			else
				PBD=$ISC_PBDS/$PBD
			fi
		fi
		if [ "X$DIRECTIVES" = "X" ] ; then
			DIRECTIVES="$PBD"
		else
			DIRECTIVES="$DIRECTIVES,$PBD"
		fi 
	done
fi
echo Using directives in $DIRECTIVES
echo Creating probed results in $DEST
#
# optionally, you can use -origjar/-desjar or -origclass/-destclass instead of directories
#
$ISC_JAVA_HOME/bin/java -classpath $CLASSPATH com.wily.introscope.api.IntroscopeProbeBuilder -directives $DIRECTIVES -origdir $ORIG -destdir $DEST -verbose -prompt
