#!/bin/sh
#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

CATALINA_HOME=$ISC_WEBVIEW/jakarta-tomcat-4.1.30
export CATALINA_HOME
# Reset Java Home to JDK
JAVA_HOME=$ISC_WEBVIEW_JDK_HOME
export JAVA_HOME
JAVA_OPTS="-Djava.awt.headless=true"
export JAVA_OPTS
CATALINA_PID=$ISC_LOGS/WebView.pid
LOG_FILE=$ISC_LOGS/WebView.log
CATALINA_LOG=$CATALINA_HOME/logs/catalina.out
export CATALINA_PID

echo Defaults for this install of WebView:
echo "	Main URL:"
echo "	http://host:9080/index.jsp"
echo "		login admin/admin"
echo "	Admin URL:"
echo "	http://host:9080/admin/index.jsp"
echo "		login admin/admin"
echo "	Wily URLs:"
echo "	WebView -"
echo "	http://host:9080/wily"
echo "		login wily/wily"
echo "	Reports -"
echo "	http://host:9080/wily/reports"
echo "	Txn Traces -"
echo "	http://host:9080/wily/traces"
echo "	Flatfiles -"
echo "	http://host:9080/wily/flatfiles"
echo 
echo Starting WebView...
if [ ! -f $LOG_FILE ] ; then
	ln -s $CATALINA_LOG $LOG_FILE
fi
$CATALINA_HOME/bin/startup.sh
